{% extends template_base %}
{% load admin_static i18n tags_mensajes%}

{% block extrahead %}

<!-- Script para Popup -->
<script type="text/javascript" src="{% static 'js/fancybox/jquery.mousewheel-3.0.4.pack.js' %}"></script>
<script type="text/javascript" src="{% static 'js/fancybox/jquery.fancybox-1.3.4.pack.js' %}"></script>
<!-- CSS para Popup -->
<link rel="stylesheet" type="text/css" href="{% static 'js/fancybox/jquery.fancybox-1.3.4.css' %}" media="screen" />

<script type="text/javascript">
jQuery(document).ready(function(){

    {% if msg %}
    {% if nro_deudas > 0 %}
        $('#myModal').modal({
                    keyboard : false,
                    //backdrop : false,
                    show : true
        });
    {% endif %}
    {% endif %}

        //$('#myModalLineamientos').modal({
                    //keyboard : false,
                    //backdrop : false,
                    //show : true
        //});

    $(".grouped_elements").fancybox({
        'overlayShow'    : true,
        'overlayOpacity' : 0.8,
        'overlayColor'   : 'black',
        'transitionIn'   : 'elastic',
        'transitionOut'  : 'elastic',
        'titleShow':'true'
    });
    $(".grouped_elements").trigger('click');
    //setTimeout($.fancybox.prev, 4000);
});
</script>
{% endblock %}

{% block breadcrumbs %}
                <ul class="breadcrumb">
                    <li><a href="/profile2/">Home</a> <span class="divider">/</span></li>
                    <li class="active">{% trans 'Mensajes recibidos' %}</li>
                </ul>
{% endblock %}

{% block content-main %}
<!-- <div id="publicidad" style="display: none;">
    <a class="grouped_elements" rel="group1" href="{% static 'js/fancybox/FlujogramaMatricula2013II.png' %}"><img alt="publicidad" src="{% static 'js/fancybox/FlujogramaMatricula2013II.png' %}" /></a>
</div> -->
<div class="row-fluid">
    <!-- <div class="alert alert-info">
        <i class="icon-info-sign"></i> <strong>ENCUESTA:</strong> 
        <h4>Estimado alumno, ayudanos participando de la encuesta para medir el desempeño del docente semestre 2013-II. <br/>Para iniciar presiona el siguiente enlace <a target="_blank" href="http://encuestas.udl.edu.pe/index.php/365193/lang-es" class="btn btn-mini btn-info">AQUÍ</a>.</h4>
    </div>-->

    <div class="well well2">
        <h3>{% trans 'Mensajes recibidos' %}</h3>
        <form id='buscar_mensaje' action="" method="get" class="form-horizontal well">{% csrf_token %}
            <div class="control-group alert">
                <strong>Instrucciones:</strong><br/>
                Busque mensajes recibidos por <u><i class="icon-book"></i> Asunto</u> ó <u><i class="icon-book"></i> Contenido</u>.
            </div>
            <div class="control-group">
                <label class="control-label" for="id_Buscar"><i class="icon-search"></i> <strong>Buscar:</strong></label>
                <div class="controls">
                    <input type="text" maxlength="100" name="query" id="id_Buscar" value = "{% if query %}{{ query }}{% endif %}">
                    <button type="submit" class="btn btn-info">{% trans 'Buscar' %}</button>
                </div>
            </div>
        </form>
        
        
        {% if results %}
        <table class="table table-striped table-bordered table-condensed">
            <thead>
            <tr>
            <th class="reduce-col-number">#</th>
            <th>De</th>
            <th>Asunto</th>
            <th>Contenido</th>
            <th>Adjunto</th>
            <th>Fecha</th>
            </tr>
            </thead>
            <tbody>
            {% for env in results.object_list %}
            <tr>
                <TD>{{ forloop.counter|escape }}</TD>
                 <td>{{ env.Mensaje.Emisor }}</td>
                 <td>{{ env.Mensaje.Asunto }}</td>
                 <td>{{ env.Mensaje.Contenido }}</td>
                 <td>{% if env.Mensaje.Adjunto.name %}<a href="http://200.37.62.146/static/uploads/{{ env.Mensaje.Adjunto }}"/>Descargar{% endif %}</td>
                 <td>{{ env.Mensaje.FechaCreacion }}</td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
        {% else %}
        <p>{% trans 'No se encontraron coincidencias' %}</p>
        {% endif %}
        {% render_paginator 2 3 %}
    </div>
</div>

<!-- Modal Pensiones -->
    <div id="myModal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" data-backdrop="static">
      <div class="modal-header">
<!--         <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button> -->
          <h3 id="myModalLabel">Comunicado</h3>
        </div>
        <div class="modal-body">
          <h2>COMUNICADO POR PAGOS PENDIENTES</h2>
          <p style="margin-top: 5px;text-align:justify;">
          Estimado estudiante: <strong>{{ estudiante }}</strong><br><br>
          Conscientes de que estudiar y ser profesional es muy transcendental para ti, es importante que sigas
          recibiendo nuestro servicio educativo y continúes con tu proyecto en los plazos previstos y sin preocupaciones.
          Al mismo tiempo, es importante el cumplimiento de tus compromisos económicos con la UDL, lo cual permitirá seguir
          brindándote un servicio de calidad.
          <br><br>
          {% if nro_deudas > 0 %}
          Asimismo, te informamos que a la fecha {% now "d/m/Y" %}, el sistema registra los siguientes pagos pendientes:<br><br>
          {% for deuda in deudas %}
            <strong>- {{ deuda.ConceptoPago.Descripcion }}</strong><br>
          {% endfor %}<br>
          En este sentido, te exhortamos a cumplir con tu compromiso de pago.<br><br>
          {% endif %}
          Para cualquier consulta adicional puedes acercarte al área de Tesorería, donde gustosamente te atenderemos.
          Nos despedimos, recordándote nuestro compromiso de seguir trabajando para brindarte un mejor servicio educativo.<br><br>
          Atentamente,<br><br>
          Dirección de Tesorería de la Universidad de Lambayeque.<br>
          Mariela Campos Flores<br>
          RPM # 945068465<br><br>
          (*) Si al momento de recibir este mensaje su pagos pendientes ya han sido cancelados, le agradeceremos verificar su estado de cuenta
          en su campus virtual y no tomar en cuenta esta información.Gracias<br>
          </p>
        </div>
        <div class="modal-footer">
          <button class="btn btn-danger" data-dismiss="modal" aria-hidden="true" >CONTINUAR</button>
      </div>
    </div>

<!-- Modal Lineamientos Matricula -->
    <div id="myModalLineamientos" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" data-backdrop="static">
      <div class="modal-header">
<!--         <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button> -->
          <h3 id="myModalLabel">Comunicado</h3>
        </div>
        <div class="modal-body">
          <h2>REQUISITOS PARA MATRÍCULA 2014-I</h2>
          <p style="margin-top: 5px;text-align:justify;">
          Estimado estudiante: <strong>{{ estudiante }}</strong><br><br>
          Recibe nuestro saludo cordial y a continuación te informamos sobre los requisitos para acceder a la 
          matrícula en línea en el semestre académico 2014-I.<br><br>
          1) Estar al día en los pagos de los semestres 2013-I y 2013-II (ver opción <a href="/profile2/cuenta_corriente/?q=c"><i class="icon-list-alt"></i> Cuenta Corriente</a>).<br><br>
          2) Revisar el monto de derecho de matrícula y cuotas de pensión académica (ver opción <a href="/profile2/categoria_actual/?q=ca"><i class="icon-list-alt"></i> Categoría Actual</a>).<br><br>
          3) Acreditar conocimiento del idioma Inglés de acuerdo al ciclo de estudios (ver <a href="http://200.37.62.146/static/uploads/lineamientos_programa_ingles.pdf" target="_blank"><i class="icon-book"></i> Lineamientos Programa Idioma Inglés</a>).<br><br>

          Cabe resaltar que a partir del presente ciclo todos los pagos deberán ser realizados directamente
          en el Banco de Crédito BCP, indicando su código de alumno.<br><br>
          Atentamente,<br><br>
          Universidad de Lambayeque.<br>
          </p>
        </div>
        <div class="modal-footer">
          <button class="btn btn-danger" data-dismiss="modal" aria-hidden="true" >ACEPTAR</button>
      </div>
    </div>

{% endblock %}
